Summary: 	Kxmleditor
Name:   	kxmleditor
Version: 	0.6
Release: 	2mdk

Source0: 	%{name}-%{version}.tar.bz2

License:  	GPL
Group: 		Graphical desktop/KDE
BuildRoot: 	%_tmppath/%name-%version-%release-root
Requires:	wget
BuildRequires:  gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel
BuildRequires:	XFree86-libs Mesa-common XFree86-static-libs automake arts
BuildRequires:	autoconf diffutils kdelibs file m4 texinfo gettext
BuildRequires:	libjpeg62-devel kdelibs-devel gcc-c++ libbinutils2 libbzip2_1
BuildRequires:	db1 freetype2 libjpeg62 libmng1 libpng2 libqt2 libqt2-devel
BuildRequires:	rpm-build
Obsoletes:	xmlexplorer


%description
Kxmleditor is simple program, that display and edit contents of XML file. 
Left side contain tree with XML document structure, right side contain list 
of attributes for selected XML element and its contents. 

%prep

%setup  -q

%build
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
	            --disable-rpath \
		    --with-qt-dir=/usr/lib/qt2\
		    --disable-rpath \
		    --disable-debug \
	            --enable-final

%install
make install prefix=%buildroot/%_prefix

install -d %buildroot/%_menudir


kdedesktop2mdkmenu.pl kxmleditor  Applications/Publishing    %buildroot/%_datadir/applnk/Applications/kxmleditor.desktop   %buildroot/%_menudir/kxmleditor




%find_lang %{name} 

%clean
rm -fr %buildroot

%post
/sbin/ldconfig
%{update_menus}
 
%postun
/sbin/ldconfig
%{clean_menus} 

%files -f %name.lang
%defattr(-,root,root)
%_bindir/*
#
%dir %_docdir/HTML/en/%{name}/
%doc %_docdir/HTML/en/%{name}/*.png
%doc %_docdir/HTML/en/%{name}/*.docbook
%doc %_docdir/HTML/en/%{name}/common
#
%dir %_datadir/apps/
%dir %_datadir/apps/%name/
%_datadir/apps/%name/*rc
%dir %_datadir/apps/%name/pics/
%_datadir/apps/%name/pics/*.png
%dir %_datadir/apps/%name/icons/
%dir %_datadir/apps/%name/icons/hicolor/
%dir %_datadir/apps/%name/icons/hicolor/16x16/
%dir %_datadir/apps/%name/icons/hicolor/16x16/actions/
%_datadir/apps/%name/icons/hicolor/16x16/actions/*.png

%dir %_datadir/apps/%name/icons/hicolor/22x22/
%dir %_datadir/apps/%name/icons/hicolor/22x22/actions/
%_datadir/apps/%name/icons/hicolor/22x22/actions/*.png

%dir %_datadir/apps/%name/icons/hicolor/32x32/
%dir %_datadir/apps/%name/icons/hicolor/32x32/actions/
%_datadir/apps/%name/icons/hicolor/32x32/actions/*.png

%dir %_datadir/apps/%name/icons/locolor/
%dir %_datadir/apps/%name/icons/locolor/16x16/
%dir %_datadir/apps/%name/icons/locolor/16x16/actions/
%_datadir/apps/%name/icons/locolor/16x16/actions/*.png
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/Applications/
%_datadir/applnk/Applications/*
#
#
%dir %_iconsdir/hicolor/
#
%dir %_iconsdir/hicolor/32x32/
%dir %_iconsdir/hicolor/32x32/apps/
%_iconsdir/hicolor/32x32/apps/*
#
%dir %_iconsdir/hicolor/48x48/
%dir %_iconsdir/hicolor/48x48/apps/
%_iconsdir/hicolor/48x48/apps/*
#
#
%dir %_iconsdir/locolor/
%dir %_iconsdir/locolor/16x16/
%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*
#
#
%dir %_iconsdir/locolor/32x32/
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/*
#
#
%_menudir/*  


%changelog
* Mon Sep 10 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-2mdk
- Fix entry menu

* Thu Sep 05 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-1mdk
- Update code (0.6)

* Thu Jul 26 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-1mdk
- Update code (0.5)

* Fri Jul 13 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4-1mdk
- package renamed : xmlexplorer -> kxmleditor

* Mon Jul 02 2001 Laurent Montel <lmontel@mandrakesoft.com> 0.3-1mdk
- Initial package
